Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jbosscommon51
Class PortComponentRefTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jbosscommon51.PortComponentRefTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, PortComponentRefType<T>

    public class PortComponentRefTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, PortComponentRefType<T>

This class implements the `port-component-refType` xsd type

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`PortComponentRefTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`PortComponentRefTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`CallPropertyType<PortComponentRefType<T>>` | `callProperty()` Returns the `call-property` element
`java.util.List<CallPropertyType<PortComponentRefType<T>>>` | `getCallPropertyList()` Returns all `call-property` elements
`java.lang.String` | `getConfigFile()` Returns the `config-file` element
`java.lang.String` | `getConfigName()` Returns the `config-name` element
`java.lang.String` | `getPortQname()` Returns the `port-qname` element
`java.lang.String` | `getServiceEndpointInterface()` Returns the `service-endpoint-interface` element
`java.util.List<StubPropertyType<PortComponentRefType<T>>>` | `getStubPropertyList()` Returns all `stub-property` elements
`PortComponentRefType<T>` | `removeAllCallProperty()` Removes all `call-property` elements
`PortComponentRefType<T>` | `removeAllStubProperty()` Removes all `stub-property` elements
`PortComponentRefType<T>` | `removeConfigFile()` Removes the `config-file` element
`PortComponentRefType<T>` | `removeConfigName()` Removes the `config-name` element
`PortComponentRefType<T>` | `removePortQname()` Removes the `port-qname` element
`PortComponentRefType<T>` | `removeServiceEndpointInterface()` Removes the `service-endpoint-interface` element
`PortComponentRefType<T>` | `setConfigFile(java.lang.String configFile)` If not already created, a new `config-file` element with the given value will be created.
`PortComponentRefType<T>` | `setConfigName(java.lang.String configName)` If not already created, a new `config-name` element with the given value will be created.
`PortComponentRefType<T>` | `setPortQname(java.lang.String portQname)` If not already created, a new `port-qname` element with the given value will be created.
`PortComponentRefType<T>` | `setServiceEndpointInterface(java.lang.String serviceEndpointInterface)` If not already created, a new `service-endpoint-interface` element with the given value will be created.
`StubPropertyType<PortComponentRefType<T>>` | `stubProperty()` Returns the `stub-property` element
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortComponentRefTypeImpl

    public PortComponentRefTypeImpl(T t,
                                    java.lang.String nodeName,
                                    org.jboss.shrinkwrap.descriptor.spi.Node node)

### PortComponentRefTypeImpl

    public PortComponentRefTypeImpl(T t,
                                    java.lang.String nodeName,
                                    org.jboss.shrinkwrap.descriptor.spi.Node node,
                                    org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setServiceEndpointInterface

    public PortComponentRefType<T> setServiceEndpointInterface(java.lang.String serviceEndpointInterface)

  If not already created, a new `service-endpoint-interface` element with the given value will be created. Otherwise, the existing `service-endpoint-interface` element will be updated with the given value.

  Specified by:
    `setServiceEndpointInterface` in interface `PortComponentRefType<T>`
  Returns:
    the current instance of `PortComponentRefType`

### removeServiceEndpointInterface

    public PortComponentRefType<T> removeServiceEndpointInterface()

  Removes the `service-endpoint-interface` element

  Specified by:
    `removeServiceEndpointInterface` in interface `PortComponentRefType<T>`
  Returns:
    the current instance of `PortComponentRefType`

### getServiceEndpointInterface

    public java.lang.String getServiceEndpointInterface()

  Returns the `service-endpoint-interface` element

  Specified by:
    `getServiceEndpointInterface` in interface `PortComponentRefType<T>`
  Returns:
    the node defined for the element `service-endpoint-interface`

### setPortQname

    public PortComponentRefType<T> setPortQname(java.lang.String portQname)

  If not already created, a new `port-qname` element with the given value will be created. Otherwise, the existing `port-qname` element will be updated with the given value.

  Specified by:
    `setPortQname` in interface `PortComponentRefType<T>`
  Returns:
    the current instance of `PortComponentRefType`

### removePortQname

    public PortComponentRefType<T> removePortQname()

  Removes the `port-qname` element

  Specified by:
    `removePortQname` in interface `PortComponentRefType<T>`
  Returns:
    the current instance of `PortComponentRefType`

### getPortQname

    public java.lang.String getPortQname()

  Returns the `port-qname` element

  Specified by:
    `getPortQname` in interface `PortComponentRefType<T>`
  Returns:
    the node defined for the element `port-qname`

### setConfigName

    public PortComponentRefType<T> setConfigName(java.lang.String configName)

  If not already created, a new `config-name` element with the given value will be created. Otherwise, the existing `config-name` element will be updated with the given value.

  Specified by:
    `setConfigName` in interface `PortComponentRefType<T>`
  Returns:
    the current instance of `PortComponentRefType`

### removeConfigName

    public PortComponentRefType<T> removeConfigName()

  Removes the `config-name` element

  Specified by:
    `removeConfigName` in interface `PortComponentRefType<T>`
  Returns:
    the current instance of `PortComponentRefType`

### getConfigName

    public java.lang.String getConfigName()

  Returns the `config-name` element

  Specified by:
    `getConfigName` in interface `PortComponentRefType<T>`
  Returns:
    the node defined for the element `config-name`

### setConfigFile

    public PortComponentRefType<T> setConfigFile(java.lang.String configFile)

  If not already created, a new `config-file` element with the given value will be created. Otherwise, the existing `config-file` element will be updated with the given value.

  Specified by:
    `setConfigFile` in interface `PortComponentRefType<T>`
  Returns:
    the current instance of `PortComponentRefType`

### removeConfigFile

    public PortComponentRefType<T> removeConfigFile()

  Removes the `config-file` element

  Specified by:
    `removeConfigFile` in interface `PortComponentRefType<T>`
  Returns:
    the current instance of `PortComponentRefType`

### getConfigFile

    public java.lang.String getConfigFile()

  Returns the `config-file` element

  Specified by:
    `getConfigFile` in interface `PortComponentRefType<T>`
  Returns:
    the node defined for the element `config-file`

### removeAllStubProperty

    public PortComponentRefType<T> removeAllStubProperty()

  Removes all `stub-property` elements

  Specified by:
    `removeAllStubProperty` in interface `PortComponentRefType<T>`
  Returns:
    the current instance of `PortComponentRefType`

### stubProperty

    public StubPropertyType<PortComponentRefType<T>> stubProperty()

  Returns the `stub-property` element

  Specified by:
    `stubProperty` in interface `PortComponentRefType<T>`
  Returns:
    the node defined for the element `stub-property`

### getStubPropertyList

    public java.util.List<StubPropertyType<PortComponentRefType<T>>> getStubPropertyList()

  Returns all `stub-property` elements

  Specified by:
    `getStubPropertyList` in interface `PortComponentRefType<T>`
  Returns:
    list of `stub-property`

### removeAllCallProperty

    public PortComponentRefType<T> removeAllCallProperty()

  Removes all `call-property` elements

  Specified by:
    `removeAllCallProperty` in interface `PortComponentRefType<T>`
  Returns:
    the current instance of `PortComponentRefType`

### callProperty

    public CallPropertyType<PortComponentRefType<T>> callProperty()

  Returns the `call-property` element

  Specified by:
    `callProperty` in interface `PortComponentRefType<T>`
  Returns:
    the node defined for the element `call-property`

### getCallPropertyList

    public java.util.List<CallPropertyType<PortComponentRefType<T>>> getCallPropertyList()

  Returns all `call-property` elements

  Specified by:
    `getCallPropertyList` in interface `PortComponentRefType<T>`
  Returns:
    list of `call-property`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD